<?xml version="1.0"?>
<xsl:stylesheet
  xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
  xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
  version="1.0">

<!-- This file is used to define custom summary lines for use by
     servicegrouptable.xsl.  Insert xsl:template elements here
     (or alternatively, create separate files for each template
     and xsl:include them here).

     Each template should have the following attributes:

       "match" - an XPath query that returns the elements you want to
          display using this template.
       "mode" - should be equal to "rows".

     The output of the template should be a table row with three columns:
        A label indicating the type of data.
        Some summary data
        A link to the detail page for this data.

     A typical template will look like this:

    <xsl:template match="wssg:Entry[wssg:Content/ag:AggregatorData/myns:MyType]" 
         mode="rows" 
         xmlns:myns="http://www.myhome.org/path/to/my/namespace">
      <tr valign="top">
      <th>MyLabel</th>
      <xsl:call-template name="MemberEPRtoTD" />
      <td>
        My summary data, which probably has one or more select statements of
        the form 
         <xsl:value-of select="./wssg:Content/ag:AggregatorData/my/data" />
      </td>
      <td>
        <xsl:apply-templates mode="DetailLink"/>
      </td>
      </tr>
    </xsl:template>

    The only things that need to be changed in that template are the value
    of the "match" attribute, the namespace mappings, the value of "MyLabel",
    and the summary data.

    See also the example xsl files in the ../sgtypes directory.

-->

</xsl:stylesheet>

